<!DOCTYPE html>
<html lang="ko"
	  xmlns:th="http://www.thymeleaf.org"
	  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	  layout:decorator="web/common/layout/DefaultLayoutWeb">
<!--
 *******************************************************************************
 * @source  : JoinTypeFormWeb.html
 * @desc    : 회원가입 유형 화면
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.02.22   jsshin     최초 작성
 *******************************************************************************
 -->

<body>
<th:block layout:fragment="content">
<!--  container -->
<div id="container" class="container mb">
	<div class="wrap">
		<div class="content join1"> <!-- 페이지특정 클래스 = join1 -->
			<div class="cont_head">
				<h4>회원가입</h4>
			</div>
			<div class="cont_body">
				<form class="form_wrap form_col_c form_full" role="form">
					<div class="form_sign_up">
						<p class="c_primary t_c">STYLE24에 오신걸 환영합니다!</p>
						<p class="t_c mt15">신규 가입 시 할인 쿠폰 등<br>다양한 혜택을 받으실 수 있습니다.</p>
					</div>
					<div class="mt40">
						<button type="button" class="btn btn_primary btn_block" onclick="cfnGoToPage(_PAGE_CUSTOMER_JOIN);"><span>회원가입</span></button>
					</div>
					<div class="sns_wrap">
						<h5>간편하게 시작하기</h5>
						<ul>
							<!-- 2021.09.01 card007 카카오싱크 검수 주석처리 -->
							<th:block th:if="false">
							<li>
								<a href="javascript:void(0)" onclick="cfnLoginKakao();">
									<i class="ico ico_snslogin kakao"></i>
									<span>카카오</span>
								</a>
							</li>
							</th:block>
							<!-- //2021.09.01 card007 카카오싱크 검수 주석처리 -->
							<li>
								<a href="javascript:void(0)" onclick="cfnLoginNaver();">
									<i class="ico ico_snslogin naver"></i>
									<span>네이버</span>
								</a>
							</li>
							<li>
								<a href="javascript:void(0)" onclick="cfnLoginYes24();">
									<i class="ico ico_snslogin yes24"></i>
									<span>YES24</span>
								</a>
							</li>
						</ul>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<script th:inline="javascript">
	/*<![CDATA[*/

	// SNS 로그인 콜백함수(네이버, 카카오, YES24)
	var fnSnsSigninCallback = function(userInfo) {
		// 1.CI 정보로 사용자가 없어 회원가입 처리 중 이메일, 휴대전화 중복
		if (userInfo.custStat === 'DUP_PHONE_CUST') {
			mcxDialog.alert("이미 사용 중인 휴대전화번호 입니다.");
			return;
		}
		if (userInfo.custStat === 'DUP_EMAIL_CUST') {
			mcxDialog.alert("이미 사용 중인 이메일 입니다.");
			return;
		}
		// 2.SNS 로그인 정보로 탈퇴확인
		if (userInfo.custStat === 'SECEDE_CUST') {
			mcxDialog.alert("탈퇴 회원 입니다.");
			return;
		}
		// 3.SNS 로그인 정보로 휴면확인
		if (userInfo.custStat === 'DORMANT_CUST') {
			mcxDialog.alertC("휴면 고객님께서는 휴면을<br>해지하신 후 사용하실 수 있습니다.", {
				sureBtnText: "확인",
				sureBtnClick: function() {
					cfnGoToPage(_PAGE_CUSTOMER_DORMANT);
				}
			});
			return;
		}
		// 4.휴대전화 정보가 없으면 SNS 가입화면 이동
		if (userInfo.custStat === 'EMPTY_PHONE_CUST') {
			cfnGoToPage(_PAGE_CUSTOMER_SNS_JOIN);
		}
		// 5.YES24 첫 로그인 시도 시 정보동의 페이지 이동
		if (userInfo.custStat === 'NEED_AGREE_CUST') {
			cfnConsentUseInfo(userInfo.custNm);
			return;
		}
		// 6.SNS 정보로 가입 성공시 가입완료 페이지 이동
		if (userInfo.custStat === 'NEW_CUST') {
			cfnGoToPage(_PAGE_CUSTOMER_JOIN_COMPLETE);
			return;
		}
		// 7.SNS 정보로 가입 실패시 안내 창 알림
		if (userInfo.custStat === 'FAIL_CUST') {
			mcxDialog.alert("회원가입에 실패 했습니다.<br> 고객센터에 문의 하시기 바랍니다.");
			return;
		}
		// 8.CI 정보가 없을때 안내 창 알림
		if (userInfo.custStat === 'EMPTY_CI_CUST') {
			mcxDialog.alert("연계정보(CI) 값이 없습니다.<br> 고객센터에 문의 하시기 바랍니다.");
			return;
		}
		// 9.SNS 로그인 연동 성공 및 기존 SNS 연동된 회원 로그인 시도
		if (userInfo.custStat === 'SUCC_CUST') {
			let params = {};
			params.snsType = userInfo.snsType;
			params.snsId = [[${snsLoginPrefix}]] + userInfo.snsId;
			$.post(_frontUrl + '/login'
				, $.param(params)
				,fnReloadAfterLogin
				, "json");
		}
	};

	var fnReloadAfterLogin = function(result) {
		if (result.status === 'OK') {
			document.location.href = result.returnUrl;
		} else {
			mcxDialog.alert("로그인 실패 하였습니다.<br> 고객센터에 문의 하시기 바랍니다.");
		}
	};

	$('#btnClose').on('click', function () {
		$('#layer_consent_useinfo').modal('hide');
		//cfCloseLayer('layer_consent_useinfo');
	});

	$(document).ready(function() {

	});
	/*]]>*/
</script>
</th:block>
</body>
</html>


